# DLCM-Frontend

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 7.3.8.

## Prerequisites

- Install [NodeJS LTS](https://nodejs.org/en/) (currently version 10.15.3, check with `node -v`. Include currently npm version 6.4.1, check with `npm -v`).
- Install [Angular CLI](https://angular.io/cli) (currently version 7.3.8, check with `ng version`).
- For user of Jetbrains IDE (IntelliJ, WebStorm), go to `File > Settings > Appaearance & Behavior > System Settings` and disable the option `Use "safe write" (save changes to a temporary file first)`.

### Apache

Same as DLCM-Frontend Php app that use apache to mock Shibboleth, refer to the Apache part of the `README.md` of DLCM-Frontend app.

## Setting

Update proxy.conf.json to set the corresponding backend api.

## Install

`npm install`

## Development server

Run `npm start` for a dev server. Navigate to `http://localhost:4200/`. 
The app will automatically reload if you change any of the source files.
This command run a proxy to contact backend services.


## Build

Run `npm run build` to build the project. The build artifacts will be stored in the `dist/` directory. Use the `--prod` flag for a production build.

## Generate client api 

If you want to update the DLCM Api :
- Pull the master branch of the project DLCM-Backend in a folder named `DLCM-Backend` at the same level of the frontend folder
- On the project DLCM-Backend run `mvn clean package`
- On this project run `npm run generate-dlcm-api`

## Generate element

Run `ng generate component component-name` to generate a new component. 

You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module`.

More info [here](https://angular.io/cli/generate).

## Extract string to translate

Run `npm run extract-translations` to extract string to translate into assets/i18n/*.json

## Debug NGXS state

This project is compatible with [Redux Devtools extension](http://extension.remotedev.io/).

## Running unit tests

Run `npm test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `npm e2e` to execute the end-to-end tests via [Protractor](http://www.protractortest.org/).

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI README](https://github.com/angular/angular-cli/blob/master/README.md).

## Grid

The grid used in the project is [flexboxgrid-sass](http://hugeinc.github.io/flexboxgrid-sass/).
It offer similar class as Bootstrap grid (row, col-xs-12, col-sm-6, col-md-4, col-lg-2, box)

You can also use mixin to define some behavior depending of size

    @include respond-to('md') {
      // css apply only for size >= md
    }

## Lexical

### Types of components :
#### Concept
With solidify, we introduce a new convention of component :
- Views : Component routable. Can communicate with the store (dispatch actions and retrieve datas from store)
- Containers : Component non routable. Can communicate with the store (dispatch actions and retrieve datas from store)
- Components : Dumb component (just input / output, no connection with store)
- Dialog : Component embedded in a material modal. Can communicate with the store (dispatch actions and retrieve datas from store)
#### Generation
You can use solidify schematics project to generate this types of component.

Please refer to the `README.md` of the project `DLCM-Solidify-Tools/solidify-schematics`.
You can use the command `npm run install-solidify-schematics` to install the `.tgz` file (the folder `DLCM-Solidify-Tools` should be a sibling folder of the current folder).
As reminder, the shortcut to generate this new type of components are :

    ng g @schematics/solidify:view my-view
    ng g @schematics/solidify:view
    ng g @schematics/solidify:container my-container
    ng g @schematics/solidify:container
    ng g @schematics/solidify:dialog my-dialog
    ng g @schematics/solidify:dialog
