import {DipModel} from "@app/generated-api";
import {ChangeQueryParametersCrud} from "@app/shared/crud.action";
import {ArchiveMetadataModel} from "@app/shared/models/business/archive-metadata.model";
import {CollectionTypedModel} from "@app/shared/models/collection-typed.model";
import {QueryParametersModel} from "@app/shared/models/query-parameters.model";
import {StringUtil} from "@app/shared/utils/string.util";

export class AccessChangeQueryParameters {
  static readonly type = "[Access] Change Query Parameters";

  constructor(public queryParameters?: QueryParametersModel) {
  }
}

export class AccessSearch {
  static readonly type = "[Access] Search";

  constructor(public search?: string, public queryParameters?: QueryParametersModel) {
  }
}

export class AccessSearchSuccess {
  static readonly type = "[Access] Search Success";

  constructor(public list?: CollectionTypedModel<ArchiveMetadataModel> | null | undefined) {
  }
}

export class AccessSearchFail {
  static readonly type = "[Access] Search Fail";

  constructor() {
  }
}

