import {AuthConfig} from "@app/oauth/auth.config";
import {OAuthModuleConfig} from "@app/oauth/oauth-module.config";

export const authConfig: AuthConfig = {
  oidc: false,
  loginUrl: "http://localhost/dlcm/authorisation/authorize",
  redirectUri: window.location.origin,
  responseType: "token",
  dummyClientSecret: "123abc",
  clientId: "local-dev-angular",
  scope: "READ",
  requireHttps: false,
  tokenEndpoint: "http://localhost/dlcm/authorisation/token",
  requestAccessToken: true,
  showDebugInformation: true,
  useIdTokenHintForSilentRefresh: true,
  skipIssuerCheck: true,
};

export const authModuleConfig: OAuthModuleConfig = {
  // Inject "Authorization: Bearer ..." header for these APIs:
  resourceServer: {
    allowedUrls: ["/api/"],
    sendAccessToken: true,
  },
};
