import {Component, OnInit, ChangeDetectionStrategy, Output, EventEmitter, Input} from "@angular/core";
import {BaseDirective} from "@app/shared/directives/base.directive";
import {LanguagesEnum} from "@app/shared/enums/languages.enum";

@Component({
  selector: "dlcm-language-selector",
  templateUrl: "./language-selector.component.html",
  styleUrls: ["./language-selector.component.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush
})
export class LanguageSelectorComponent extends BaseDirective implements OnInit {
  @Input()
  currentLanguage: LanguagesEnum;

  @Output()
  languageEvent: EventEmitter<LanguagesEnum>;

  en: LanguagesEnum = LanguagesEnum.en;
  fr: LanguagesEnum = LanguagesEnum.fr;
  de: LanguagesEnum = LanguagesEnum.de;

  constructor() {
    super();
    this.languageEvent = new EventEmitter();
  }

  ngOnInit() {
  }

  useLanguage(language: LanguagesEnum) {
    this.languageEvent.emit(language);
  }
}
