import {ChangeDetectionStrategy, Component, EventEmitter, Input, Output} from "@angular/core";
import {MainToolbarDirective} from "@app/directives/main-toolbar.directive";
import {OAuthService} from "@app/oauth/oauth-service";
import {Router} from "@angular/router";
import {RoutesEnum} from "@app/shared/enums/routes.enum";
import {LanguagesEnum} from "@app/shared/enums/languages.enum";

@Component({
  selector: "dlcm-main-toolbar",
  templateUrl: "./main-toolbar.component.html",
  styleUrls: ["./main-toolbar.component.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class MainToolbarComponent extends MainToolbarDirective {

  constructor(private oauth: OAuthService) {
    super(oauth);
  }
}
