import {NgModule} from "@angular/core";
import {RouterModule, Routes} from "@angular/router";
import {CreateView} from "@app/deposit/views/create/create.view";
import {DetailView} from "@app/deposit/views/detail/detail.view";
import {EditView} from "@app/deposit/views/edit/edit.view";
import {ListView} from "@app/deposit/views/list/list.view";
import {AppRoutesEnum, DepositRoutesEnum} from "@app/shared/enums/routes.enum";
import {TRANSLATE} from "@app/shared/utils/translate.util";


const routes: Routes = [
  {
    path: AppRoutesEnum.root,
    component: ListView,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.deposit.list"),
    },
  },
  {
    path: DepositRoutesEnum.detail + AppRoutesEnum.separator + AppRoutesEnum.paramId,
    component: DetailView,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.deposit.detail"),
    },
  },
  {
    path: DepositRoutesEnum.edit + AppRoutesEnum.separator + AppRoutesEnum.paramId,
    component: EditView,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.deposit.edit"),
    },
  },
  {
    path: DepositRoutesEnum.create,
    component: CreateView,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.deposit.create"),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DepositRoutingModule {
}
