import {NgModule} from "@angular/core";
import {FormComponent} from "@app/deposit/components/form/form.component";
import {DepositRoutingModule} from "@app/deposit/deposit-routing.module";
import {DepositState} from "@app/deposit/deposit.state";
import {DeleteDialog} from "@app/deposit/dialogs/delete/delete.dialog";
import {DepositService} from "@app/deposit/services/deposit.service";
import {EditView} from "@app/deposit/views/edit/edit.view";
import {ListView} from "@app/deposit/views/list/list.view";
import {SharedModule} from "@app/shared/shared.module";
import {TranslateModule} from "@ngx-translate/core";
import {NgxsModule} from "@ngxs/store";
import {CreateView} from "./views/create/create.view";
import {DetailView} from "./views/detail/detail.view";

const views = [
  ListView,
  CreateView,
  DetailView,
  EditView,
];
const containers = [];
const dialogs = [
  DeleteDialog,
];
const components = [
  FormComponent,
];

@NgModule({
  declarations: [
    ...views,
    ...containers,
    ...dialogs,
    ...components,
  ],
  imports: [
    SharedModule,
    DepositRoutingModule,
    TranslateModule.forChild({}),
    NgxsModule.forFeature([
      DepositState,
    ]),
  ],
  entryComponents: [
    ...dialogs,
  ],
  exports: [
    ...views,
    ...containers,
  ],
  providers: [
    DepositService,
  ],
})
export class DepositModule {
}
