/**
 * DLCM-Solution
 * DLCM application wrapping all modules, All-In-One
 *
 * The version of the OpenAPI document: 1.4.0-SNAPSHOT
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AipFileFormatModel } from "./aip-file-format.model";
import { AipInfoModel } from "./aip-info.model";
import { AipVirusCheckModel } from "./aip-virus-check.model";
import { ChangeInfoModel } from "./change-info.model";


export interface AipModel {
    /**
     * The checksum list of the AIP
     */
    checksums?: Array<string>;
    virusCheck?: AipVirusCheckModel;
    /**
     * if the AIP is an unit (AIU) or a collection (AIC)
     */
    archivalUnit?: boolean;
    /**
     * The _links_ list of the _aip_ resource
     */
    _links?: object;
    /**
     * The size in human-readable format of the AIP
     */
    smartSize?: string;
    /**
     * The source SIP IDs of the AIP
     */
    sipIds?: Array<string>;
    /**
     * Number of AIP data files
     */
    dataFileNumber?: number;
    /**
     * The container type of the AIP
     */
    aipContainer?: AipModel.AipContainerModelEnum;
    /**
     * Mandatory step to approve the AIP disposition
     */
    dispositionApproval?: boolean;
    /**
     * The size in bytes of the AIP
     */
    archiveSize?: number;
    /**
     * The _aip_ resource identifier [https://en.wikipedia.org/wiki/Universally_unique_identifier[UUID]]
     */
    resId?: string;
    /**
     * The storage URL of the AIP
     */
    archiveId?: string;
    /**
     * The end of the AIP retention
     */
    retentionEnd?: Date;
    /**
     * If AIP package is ready
     */
    ready?: boolean;
    /**
     * Number of AIPs in collection
     */
    collectionSize?: number;
    /**
     * The last updated info of the _aip_ resource (see <<change-info>>)
     */
    lastUpdate?: ChangeInfoModel;
    /**
     * The retention duration in human-readable format of the AIP
     */
    smartRetention?: string;
    /**
     * The retention duration in days of the AIP
     */
    retention?: number;
    fileFormat?: AipFileFormatModel;
    /**
     * The creation info of the _aip_ resource (see <<change-info>>)
     */
    creation?: ChangeInfoModel;
    info?: AipInfoModel;
}
export namespace AipModel {
    export type AipContainerModelEnum = "UNDEFINED" | "ZIP" | "BAG_IT";
    export const AipContainerModelEnum = {
        UNDEFINED: "UNDEFINED" as AipContainerModelEnum,
        ZIP: "ZIP" as AipContainerModelEnum,
        BAGIT: "BAG_IT" as AipContainerModelEnum
    };
}

