/**
 * DLCM-Solution
 * DLCM application wrapping all modules, All-In-One
 *
 * The version of the OpenAPI document: 1.4.0-SNAPSHOT
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { ChangeInfoModel } from "./change-info.model";


export interface PreservationJobsModel {
    /**
     * The total number of items by the preservation job
     */
    totalItems?: number;
    /**
     * The _links_ list of the _preservation-jobs_ resource
     */
    _links?: object;
    /**
     * The end date of the preservation job
     */
    endDate?: Date;
    /**
     * Job recurrence
     */
    jobRecurrence?: PreservationJobsModel.JobRecurrenceModelEnum;
    /**
     * The _preservation-jobs_ resource identifier [https://en.wikipedia.org/wiki/Universally_unique_identifier[UUID]]
     */
    resId?: string;
    /**
     * The message related to the status
     */
    statusMessage?: string;
    /**
     * The last updated info of the _preservation-jobs_ resource (see <<change-info>>)
     */
    lastUpdate?: ChangeInfoModel;
    /**
     * The name of the preservation job
     */
    name?: string;
    /**
     * The number of ignored (not processed) items by the preservation job
     */
    ignoredItems?: number;
    /**
     * The completion status in pourcentage of the preservation job
     */
    completionStatus?: number;
    /**
     * The job type of the preservation job
     */
    jobType?: PreservationJobsModel.JobTypeModelEnum;
    /**
     * The start date of the preservation job
     */
    startDate?: Date;
    /**
     * The number of processed items by the preservation job
     */
    processedItems?: number;
    /**
     * The number of items in-error by the preservation job
     */
    inErrorItems?: number;
    /**
     * The creation info of the _preservation-jobs_ resource (see <<change-info>>)
     */
    creation?: ChangeInfoModel;
    /**
     * The status of the preservation job
     */
    status?: PreservationJobsModel.StatusModelEnum;
}
export namespace PreservationJobsModel {
    export type JobRecurrenceModelEnum = "ONCE" | "DAILY" | "WEEKLY" | "MONTHLY" | "YEARLY";
    export const JobRecurrenceModelEnum = {
        ONCE: "ONCE" as JobRecurrenceModelEnum,
        DAILY: "DAILY" as JobRecurrenceModelEnum,
        WEEKLY: "WEEKLY" as JobRecurrenceModelEnum,
        MONTHLY: "MONTHLY" as JobRecurrenceModelEnum,
        YEARLY: "YEARLY" as JobRecurrenceModelEnum
    };
    export type JobTypeModelEnum = "RELOAD" | "REPLICATION" | "REPLICATION_COLLECTION" | "REPLICATION_CHECK" | "MIGRATION" | "FIXITY" | "REINDEX" | "DEPOSIT_PURGE" | "SIP_PURGE";
    export const JobTypeModelEnum = {
        RELOAD: "RELOAD" as JobTypeModelEnum,
        REPLICATION: "REPLICATION" as JobTypeModelEnum,
        REPLICATIONCOLLECTION: "REPLICATION_COLLECTION" as JobTypeModelEnum,
        REPLICATIONCHECK: "REPLICATION_CHECK" as JobTypeModelEnum,
        MIGRATION: "MIGRATION" as JobTypeModelEnum,
        FIXITY: "FIXITY" as JobTypeModelEnum,
        REINDEX: "REINDEX" as JobTypeModelEnum,
        DEPOSITPURGE: "DEPOSIT_PURGE" as JobTypeModelEnum,
        SIPPURGE: "SIP_PURGE" as JobTypeModelEnum
    };
    export type StatusModelEnum = "IN_PROGRESS" | "COMPLETED" | "READY" | "PAUSED" | "IN_ERROR";
    export const StatusModelEnum = {
        INPROGRESS: "IN_PROGRESS" as StatusModelEnum,
        COMPLETED: "COMPLETED" as StatusModelEnum,
        READY: "READY" as StatusModelEnum,
        PAUSED: "PAUSED" as StatusModelEnum,
        INERROR: "IN_ERROR" as StatusModelEnum
    };
}

