import {ChangeDetectionStrategy, Component, Inject} from "@angular/core";
import {MAT_DIALOG_DATA, MatDialogRef} from "@angular/material";
import {OrganizationalUnitsModel} from "@app/generated-api";
import {OrganizationalUnitStateModel} from "@app/shared/organizational-unit.state";
import {AbstractDeleteDialog} from "@app/shared/dialogs/abstract-delete/abstract-delete.dialog";
import {StateEnum} from "@app/shared/enums/state.enum";
import {DeleteDialogModel} from "@app/shared/models/delete-dialog.model";
import {TRANSLATE} from "@app/shared/utils/translate.util";
import {Store} from "@ngxs/store";

@Component({
  selector: "dlcm-delete-dialog",
  templateUrl: "../../../shared/dialogs/abstract-delete/abstract-delete.dialog.html",
  styleUrls: ["../../../shared/dialogs/abstract-delete/abstract-delete.dialog.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DeleteDialog extends AbstractDeleteDialog<OrganizationalUnitsModel, OrganizationalUnitStateModel> {
  public readonly KEY_TITLE: string = TRANSLATE("organizationalUnit.dialog.delete.title");
  public readonly KEY_MESSAGE: string = TRANSLATE("organizationalUnit.dialog.delete.message");
  public readonly KEY_CONFIRM_BUTTON: string = TRANSLATE("organizationalUnit.dialog.delete.confirm");
  public readonly KEY_CANCEL_BUTTON: string = TRANSLATE("organizationalUnit.dialog.delete.cancel");

  constructor(protected store: Store,
              protected dialogRef: MatDialogRef<DeleteDialog>,
              @Inject(MAT_DIALOG_DATA) public data: DeleteDialogModel,
  ) {
    super(store, dialogRef, data, StateEnum.organizationalUnit);
  }

}
