import {NgModule} from "@angular/core";
import {RouterModule, Routes} from "@angular/router";
import {CreateView} from "@app/organizational-unit/views/create/create.view";
import {DetailView} from "@app/organizational-unit/views/detail/detail.view";
import {EditView} from "@app/organizational-unit/views/edit/edit.view";
import {ListView} from "@app/organizational-unit/views/list/list.view";
import {AppRoutesEnum, OrganizationalUnitRoutesEnum} from "@app/shared/enums/routes.enum";
import {TRANSLATE} from "@app/shared/utils/translate.util";

const routes: Routes = [
  {
    path: "",
    component: ListView,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.organizationalUnit.list"),
    },
  },
  {
    path: OrganizationalUnitRoutesEnum.detail + AppRoutesEnum.separator + AppRoutesEnum.paramId,
    component: DetailView,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.organizationalUnit.detail"),
    },
  },
  {
    path: OrganizationalUnitRoutesEnum.edit + AppRoutesEnum.separator + AppRoutesEnum.paramId,
    component: EditView,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.organizationalUnit.edit"),
    },
  },
  {
    path: OrganizationalUnitRoutesEnum.create,
    component: CreateView,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.organizationalUnit.create"),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class OrganizationalUnitRoutingModule {
}
