import {NgModule} from "@angular/core";
import {FormComponent} from "@app/organizational-unit/components/form/form.component";
import {OrganizationalUnitRoutingModule} from "@app/organizational-unit/organizational-unit-routing.module";
import {SharedModule} from "@app/shared/shared.module";
import {TranslateModule} from "@ngx-translate/core";
import {NgxsModule} from "@ngxs/store";
import {DeleteDialog} from "./dialogs/delete/delete.dialog";
import {CreateView} from "./views/create/create.view";
import {DetailView} from "./views/detail/detail.view";
import {EditView} from "./views/edit/edit.view";
import {ListView} from "./views/list/list.view";

const views = [
  DetailView,
  ListView,
  CreateView,
  EditView,
];
const containers = [];
const dialogs = [
  DeleteDialog,
];
const components = [
  FormComponent,
];

@NgModule({
  declarations: [
    ...views,
    ...containers,
    ...dialogs,
    ...components,
  ],
  imports: [
    SharedModule,
    OrganizationalUnitRoutingModule,
    TranslateModule.forChild({}),
    NgxsModule.forFeature([]),
  ],
  entryComponents: [
    ...dialogs,
  ],
  exports: [
    ...views,
  ],
  providers: [],
})
export class OrganizationalUnitModule {
}
