import {ChangeDetectionStrategy, Component} from "@angular/core";
import {OrganizationalUnitsModel} from "@app/generated-api";
import {OrganizationalUnitStateModel} from "@app/shared/organizational-unit.state";
import {StateEnum} from "@app/shared/enums/state.enum";
import {AbstractCreateView} from "@app/shared/views/abstract-create/abstract-create.view";
import {Store} from "@ngxs/store";

@Component({
  selector: "dlcm-create-view",
  templateUrl: "./create.view.html",
  styleUrls: ["../../../shared/views/abstract-create/abstract-create.view.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CreateView extends AbstractCreateView<OrganizationalUnitsModel, OrganizationalUnitStateModel> {
  constructor(protected store: Store) {
    super(store, StateEnum.organizationalUnit);
  }
}
