import {ChangeDetectionStrategy, Component} from "@angular/core";
import {MatDialog} from "@angular/material";
import {ActivatedRoute} from "@angular/router";
import {OrganizationalUnitsModel} from "@app/generated-api";
import {OrganizationalUnitStateModel} from "@app/shared/organizational-unit.state";
import {StateEnum} from "@app/shared/enums/state.enum";
import {TRANSLATE} from "@app/shared/utils/translate.util";
import {AbstractDetailView} from "@app/shared/views/abstract-detail/abstract-detail.view";
import {Store} from "@ngxs/store";

@Component({
  selector: "dlcm-detail-view",
  templateUrl: "./detail.view.html",
  styleUrls: ["../../../shared/views/abstract-detail/abstract-detail.view.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DetailView extends AbstractDetailView<OrganizationalUnitsModel, OrganizationalUnitStateModel> {
  readonly KEY_PARAM_NAME: string = "name";
  readonly KEY_DELETE_BUTTON: string = TRANSLATE("organizationalUnit.delete");
  readonly KEY_EDIT_BUTTON: string = TRANSLATE("organizationalUnit.edit");

  constructor(protected store: Store,
              protected route: ActivatedRoute,
              public dialog: MatDialog) {
    super(store, route, dialog, StateEnum.organizationalUnit);
  }
}
