import {ChangeDetectionStrategy, Component} from "@angular/core";
import {ActivatedRoute} from "@angular/router";
import {OrganizationalUnitsModel} from "@app/generated-api";
import {OrganizationalUnitStateModel} from "@app/shared/organizational-unit.state";
import {StateEnum} from "@app/shared/enums/state.enum";
import {AbstractEditView} from "@app/shared/views/abstract-edit/abstract-edit.view";
import {Store} from "@ngxs/store";

@Component({
  selector: "dlcm-edit-view",
  templateUrl: "./edit.view.html",
  styleUrls: ["../../../shared/views/abstract-edit/abstract-edit.view.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class EditView extends AbstractEditView<OrganizationalUnitsModel, OrganizationalUnitStateModel> {
  constructor(protected store: Store,
              protected route: ActivatedRoute) {
    super(store, route, StateEnum.organizationalUnit);
  }
}
