import {CollectionTypedModel} from "@app/shared/models/collection-typed.model";
import {QueryParametersModel} from "@app/shared/models/query-parameters.model";

export class ChangeQueryParametersCrud {
  protected static abstractType = "[{0}] Change Query Parameters";

  constructor(public queryParameters: QueryParametersModel) {
  }
}

export class GetAllCrud {
  protected static abstractType = "[{0}] Get All";

  constructor(public queryParameters?: QueryParametersModel) {
  }
}

export class GetAllSuccessCrud<T> {
  protected static abstractType = "[{0}] Get All Success";

  constructor(public list: CollectionTypedModel<T>) {
  }
}

export class GetAllFailCrud {
  protected static abstractType = "[{0}] Get All Fail";

  constructor() {
  }
}

export class GetByIdCrud {
  protected static abstractType = "[{0}] Get By Id";

  constructor(public id: string) {
  }
}

export class GetByIdSuccessCrud<T> {
  protected static abstractType = "[{0}] Get By Id Success";

  constructor(public model: T) {
  }
}

export class GetByIdFailCrud {
  protected static abstractType = "[{0}] Get By Id Fail";

  constructor() {
  }
}


export class CreateCrud<T> {
  protected static abstractType = "[{0}] Create";

  constructor(public model: T) {
  }
}

export class CreateSuccessCrud {
  protected static abstractType = "[{0}] Create Success";

  constructor() {
  }
}

export class CreateFailCrud {
  protected static abstractType = "[{0}] Create Fail";

  constructor() {
  }
}


export class UpdateCrud<T> {
  protected static abstractType = "[{0}] Update";

  constructor(public model: T) {
  }
}

export class UpdateSuccessCrud {
  protected static abstractType = "[{0}] Update Success";

  constructor() {
  }
}

export class UpdateFailCrud {
  protected static abstractType = "[{0}] Update Fail";

  constructor() {
  }
}

export class DeleteCrud {
  protected static abstractType = "[{0}] Delete";

  constructor(public resId: string) {
  }
}

export class DeleteSuccessCrud {
  protected static abstractType = "[{0}] Delete Success";

  constructor() {
  }
}

export class DeleteFailCrud {
  protected static abstractType = "[{0}] Delete Fail";

  constructor() {
  }
}
