import {OnDestroy} from "@angular/core";
import {Subscription} from "rxjs";

export abstract class BaseDirective implements OnDestroy {
  private listSubscription: Subscription[];

  protected constructor() {
    this.listSubscription = [];
  }

  ngOnDestroy(): void {
    this.listSubscription.forEach((subscription: Subscription) => {
      if (subscription) {
        subscription.unsubscribe();
      }
    });
  }

  addToSubscription(subscription: Subscription) {
    this.listSubscription.push(subscription);
  }
}
