const separator = "/";

export interface ResourceApiEnum {
}

class BaseResourceApiEnum {
  static access = "access";
  static admin = "admin";
  static archivalStorage = "archival-storage";
  static dataMgmt = "data-mgmt";
  static ingest = "ingest";
  static preingest = "preingest";
  static preservationPlanning = "preservation-planning";
  static resourceSrv = "resource-srv";
}

export class AccessResourceApiEnum extends BaseResourceApiEnum {
  static root = BaseResourceApiEnum.access;
  static dip = BaseResourceApiEnum.access + separator + "dip";
  static allMetadata = BaseResourceApiEnum.access + separator + "all-metadata";
  static metadata = BaseResourceApiEnum.access + separator + "metadata";
  static privateMetadata = BaseResourceApiEnum.access + separator + "private-metadata";
  static metadataSearch = AccessResourceApiEnum.metadata + separator + "search";
  static allMetadataSearch = AccessResourceApiEnum.allMetadata + separator + "search";
  static privateMetadataSearch = AccessResourceApiEnum.privateMetadata + separator + "search";
  static oaiSets = BaseResourceApiEnum.access + separator + "oai-sets";
  static orders = BaseResourceApiEnum.access + separator + "orders";
}

export class DataManagementApiEnum extends BaseResourceApiEnum {
  static root = BaseResourceApiEnum.dataMgmt;
  static publicDiSearch = BaseResourceApiEnum.dataMgmt + separator + "public-di" + separator + "search";
}

export class AdminResourceApiEnum extends BaseResourceApiEnum {
  static root = BaseResourceApiEnum.admin;
  static fundingAgencies = BaseResourceApiEnum.admin + separator + "funding-agencies";
  static institutions = BaseResourceApiEnum.admin + separator + "institutions";
  static languages = BaseResourceApiEnum.admin + separator + "languages";
  static licenses = BaseResourceApiEnum.admin + separator + "licenses";
  static oauth2Clients = BaseResourceApiEnum.admin + separator + "oauth2-clients";
  static organizationalUnits = BaseResourceApiEnum.admin + separator + "organizational-units";
  static people = BaseResourceApiEnum.admin + separator + "people";
  static preservationPolicies = BaseResourceApiEnum.admin + separator + "preservation-policies";
  static roles = BaseResourceApiEnum.admin + separator + "roles";
  static submissionAgreements = BaseResourceApiEnum.admin + separator + "submission-agreements";
  static submissionPolicies = BaseResourceApiEnum.admin + separator + "submission-policies";
  static users = BaseResourceApiEnum.admin + separator + "users";
}

export class ArchivalStorageResourceApiEnum extends BaseResourceApiEnum {
  static root = BaseResourceApiEnum.archivalStorage;
  static aip = BaseResourceApiEnum.archivalStorage + separator + "aip";
  static storedAip = BaseResourceApiEnum.archivalStorage + separator + "stored-aip";
}

export class IngestResourceApiEnum extends BaseResourceApiEnum {
  static root = BaseResourceApiEnum.ingest;
  static sip = BaseResourceApiEnum.ingest + separator + "sip";
}

export class PreIngestResourceApiEnum extends BaseResourceApiEnum {
  static root = BaseResourceApiEnum.preingest;
  static deposits = BaseResourceApiEnum.preingest + separator + "deposits";
}

export class PreservationPlanningResourceApiEnum extends BaseResourceApiEnum {
  static root = BaseResourceApiEnum.preservationPlanning;
  static preservationJobs = BaseResourceApiEnum.preservationPlanning + separator + "preservation-jobs";
}

export class ResourceSrvResourceApiEnum extends BaseResourceApiEnum {
  static root = BaseResourceApiEnum.resourceSrv;
  static applicationRoles = BaseResourceApiEnum.resourceSrv + separator + "application-roles";
  static basicAuthClients = BaseResourceApiEnum.resourceSrv + separator + "basic-auth-clients";
}
