import {environment} from "../../../environments/environment";

export interface PagingModel {
  /** The current page index. */
  pageIndex: number;
  /** The number of items per page */
  pageSize: number;
  /** The current total number of items being paged */
  length: number;
}

export class PagingModel implements PagingModel {
  constructor(defaultPageSize: number = environment.defaultPageSizeOption) {
    this.pageSize = defaultPageSize;
    this.pageIndex = 0;
    this.length = 0;
  }
}
