import {Injectable} from "@angular/core";
import {CanActivate, Router} from "@angular/router";
import {AppStateModel} from "@app/app.state";
import {RoutesEnum} from "@app/shared/enums/routes.enum";
import {StateEnum} from "@app/shared/enums/state.enum";
import {Navigate} from "@ngxs/router-plugin";
import {Store} from "@ngxs/store";

@Injectable()
export class AuthGuardService implements CanActivate {
  constructor(public router: Router, public store: Store) {
  }

  canActivate(): boolean {
    const isLoggedIn: boolean = this.store.selectSnapshot<boolean>(state => (state[StateEnum.application] as AppStateModel).isLoggedIn);
    if (isLoggedIn === false) {
      this.store.dispatch(new Navigate([RoutesEnum.index]));
    }
    return isLoggedIn;
  }

}
