import {DeleteDialog as DepositDeleteDialog} from "@app/deposit/dialogs/delete/delete.dialog";
import {DeleteDialog as OrgUnitDeleteDialog} from "@app/organizational-unit/dialogs/delete/delete.dialog";
import {StateEnum} from "@app/shared/enums/state.enum";
import {StringUtil} from "@app/shared/utils/string.util";

export class CrudDialogUtil {
  private static readonly messageNotFound: string = "There is no dialog declared for the state '{0}'.";

  static delete(state: StateEnum) {
    if (state === StateEnum.organizationalUnit) {
      return OrgUnitDeleteDialog;
    }
    if (state === StateEnum.deposit) {
      return DepositDeleteDialog;
    }
    throw Error(StringUtil.format(CrudDialogUtil.messageNotFound, state));
  }
}
