import {RoutesEnum} from "@app/shared/enums/routes.enum";
import {StateEnum} from "@app/shared/enums/state.enum";
import {StringUtil} from "@app/shared/utils/string.util";

export class CrudRouteUtil {
  private static readonly messageNotFound: string = "There is no route declared for the state '{0}'.";

  static getDetailRoute(state: StateEnum) {
    if (state === StateEnum.organizationalUnit) {
      return RoutesEnum.organizationalUnitDetail;
    }
    if (state === StateEnum.deposit) {
      return RoutesEnum.depositDetail;
    }
    throw Error(StringUtil.format(CrudRouteUtil.messageNotFound, state));
  }

  static getCreateRoute(state: StateEnum) {
    if (state === StateEnum.organizationalUnit) {
      return RoutesEnum.organizationalUnitCreate;
    }
    if (state === StateEnum.deposit) {
      return RoutesEnum.depositCreate;
    }
    throw Error(StringUtil.format(CrudRouteUtil.messageNotFound, state));
  }

  static getRootRoute(state: StateEnum) {
    if (state === StateEnum.organizationalUnit) {
      return RoutesEnum.organizationalUnit;
    }
    if (state === StateEnum.deposit) {
      return RoutesEnum.deposit;
    }
    throw Error(StringUtil.format(CrudRouteUtil.messageNotFound, state));
  }

  static getEditRoute(state: StateEnum) {
    if (state === StateEnum.organizationalUnit) {
      return RoutesEnum.organizationalUnitEdit;
    }
    if (state === StateEnum.deposit) {
      return RoutesEnum.depositEdit;
    }
    throw Error(StringUtil.format(CrudRouteUtil.messageNotFound, state));
  }
}
