import {OrderApiEnum} from '@app/shared/enums/order-api.enum';
import {OrderEnum} from '@app/shared/enums/order.enum';
import {QueryParametersModel} from '@app/shared/models/query-parameters.model';

export class QueryParametersUtil {
  public static getSortString(queryParameters: QueryParametersModel): string {
    if (queryParameters == null || queryParameters.sort == null) {
      return null;
    }
    return queryParameters.sort.field + ',' + (queryParameters.sort.order === OrderEnum.descending ? OrderApiEnum.descending : OrderApiEnum.ascending);
  }

  public static getPageIndex(queryParameters: QueryParametersModel): number {
    if (queryParameters == null || queryParameters.paging == null) {
      return null;
    }
    return queryParameters.paging.pageIndex;
  }

  public static getPageSize(queryParameters: QueryParametersModel): number {
    if (queryParameters == null || queryParameters.paging == null) {
      return null;
    }
    return queryParameters.paging.pageSize;
  }
}
