import {ChangeDetectionStrategy, Component} from "@angular/core";
import {CrudState, CrudStateModel} from "@app/shared/crud.state";
import {BaseDirective} from "@app/shared/directives/base.directive";
import {StateEnum} from "@app/shared/enums/state.enum";
import {CrudActionUtil} from "@app/shared/utils/crud-action.util";
import {Store} from "@ngxs/store";

export abstract class AbstractCreateView<T, U extends CrudStateModel<T>> extends BaseDirective {
  protected constructor(protected store: Store, private state: StateEnum) {
    super();
  }

  create(model: T) {
    this.store.dispatch(CrudActionUtil.create(this.state, model));
  }
}
